<html>
<head>
<title>OgreEntity.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreEntity.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreEntity_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __Entity_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __Entity_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreCommon_8h.html">OgreCommon.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreString_8h.html">OgreString.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreMovableObject_8h.html">OgreMovableObject.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreQuaternion_8h.html">OgreQuaternion.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreVector3_8h.html">OgreVector3.h</a>&quot;</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include &quot;<a class="code" href="OgreHardwareBufferManager_8h.html">OgreHardwareBufferManager.h</a>&quot;</span>
<a name="l00039"></a>00039 <span class="preprocessor">#include &quot;<a class="code" href="OgreMesh_8h.html">OgreMesh.h</a>&quot;</span>
<a name="l00040"></a>00040 <span class="preprocessor">#include &quot;<a class="code" href="OgreRenderable_8h.html">OgreRenderable.h</a>&quot;</span>
<a name="l00041"></a>00041 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceGroupManager_8h.html">OgreResourceGroupManager.h</a>&quot;</span>
<a name="l00042"></a>00042 
<a name="l00043"></a>00043 <span class="keyword">namespace </span>Ogre {
<a name="l00081"></a><a class="code" href="classOgre_1_1Entity.html">00081</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a>: <span class="keyword">public</span> <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a>::<a class="code" href="classOgre_1_1MovableObject_1_1Listener.html" title="Listener which gets called back on MovableObject events.">Listener</a>
<a name="l00082"></a>00082     {
<a name="l00083"></a>00083         <span class="comment">// Allow EntityFactory full access</span>
<a name="l00084"></a><a class="code" href="classOgre_1_1Entity.html#a6ebd07b4b60153d4b7a405e1fe75419b">00084</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1EntityFactory.html" title="Factory object for creating Entity instances.">EntityFactory</a>;
<a name="l00085"></a><a class="code" href="classOgre_1_1Entity.html#a5102c4966341431b89134719b3998e3b">00085</a>         <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classOgre_1_1SubEntity.html" title="Utility class which defines the sub-parts of an Entity.">SubEntity</a>;
<a name="l00086"></a>00086     <span class="keyword">public</span>:
<a name="l00087"></a>00087         
<a name="l00088"></a><a class="code" href="classOgre_1_1Entity.html#a732222e1a0aad66c21b8bb5f66b783a2">00088</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1set.html#a7ac5eb4c7cfd2a56392fe863bcb415c0">set&lt;Entity*&gt;::type</a> <a class="code" href="classOgre_1_1Entity.html#a732222e1a0aad66c21b8bb5f66b783a2">EntitySet</a>;
<a name="l00089"></a><a class="code" href="classOgre_1_1Entity.html#ab5df0928988270830eb5d1e7dfcf0343">00089</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;unsigned short, bool&gt;::type</a> <a class="code" href="classOgre_1_1Entity.html#ab5df0928988270830eb5d1e7dfcf0343">SchemeHardwareAnimMap</a>;
<a name="l00090"></a>00090 
<a name="l00091"></a>00091     <span class="keyword">protected</span>:
<a name="l00092"></a>00092 
<a name="l00095"></a>00095         <a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a>();
<a name="l00098"></a>00098         <a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a>( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a>&amp; mesh);
<a name="l00099"></a>00099 
<a name="l00102"></a><a class="code" href="classOgre_1_1Entity.html#a59d0c2fae2ca85f9159f7fe3d657042f">00102</a>         <a class="code" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a> <a class="code" href="classOgre_1_1Entity.html#a59d0c2fae2ca85f9159f7fe3d657042f" title="The Mesh that this Entity is based on.">mMesh</a>;
<a name="l00103"></a>00103 
<a name="l00106"></a><a class="code" href="classOgre_1_1Entity.html#a0918acbbcfa6325d2de7572aa462386b">00106</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;SubEntity*&gt;::type</a> <a class="code" href="classOgre_1_1Entity.html#a0918acbbcfa6325d2de7572aa462386b" title="List of SubEntities (point to SubMeshes).">SubEntityList</a>;
<a name="l00107"></a><a class="code" href="classOgre_1_1Entity.html#ac59b88f21929c945ab3076808aed716b">00107</a>         <a class="code" href="classOgre_1_1Entity.html#a0918acbbcfa6325d2de7572aa462386b" title="List of SubEntities (point to SubMeshes).">SubEntityList</a> <a class="code" href="classOgre_1_1Entity.html#ac59b88f21929c945ab3076808aed716b">mSubEntityList</a>;
<a name="l00108"></a>00108 
<a name="l00109"></a>00109 
<a name="l00111"></a><a class="code" href="classOgre_1_1Entity.html#a8a81acbe8b109c90a9626af1bb8e3486">00111</a>         <a class="code" href="classOgre_1_1AnimationStateSet.html" title="Class encapsulating a set of AnimationState objects.">AnimationStateSet</a>* <a class="code" href="classOgre_1_1Entity.html#a8a81acbe8b109c90a9626af1bb8e3486" title="State of animation for animable meshes.">mAnimationState</a>;
<a name="l00112"></a>00112 
<a name="l00113"></a>00113 
<a name="l00115"></a><a class="code" href="classOgre_1_1Entity.html#ae8913b0ce137c8b26e624ec6645da0dd">00115</a>         <a class="code" href="classOgre_1_1TempBlendedBufferInfo.html" title="Structure for recording the use of temporary blend buffers.">TempBlendedBufferInfo</a> <a class="code" href="classOgre_1_1Entity.html#ae8913b0ce137c8b26e624ec6645da0dd" title="Temp buffer details for software skeletal anim of shared geometry.">mTempSkelAnimInfo</a>;
<a name="l00117"></a><a class="code" href="classOgre_1_1Entity.html#ac1e7ef6c059cece297bcdadc7978a526">00117</a>         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* <a class="code" href="classOgre_1_1Entity.html#ac1e7ef6c059cece297bcdadc7978a526" title="Vertex data details for software skeletal anim of shared geometry.">mSkelAnimVertexData</a>;
<a name="l00119"></a><a class="code" href="classOgre_1_1Entity.html#af0753feda78522e7a6f27a97411eccbf">00119</a>         <a class="code" href="classOgre_1_1TempBlendedBufferInfo.html" title="Structure for recording the use of temporary blend buffers.">TempBlendedBufferInfo</a> <a class="code" href="classOgre_1_1Entity.html#af0753feda78522e7a6f27a97411eccbf" title="Temp buffer details for software vertex anim of shared geometry.">mTempVertexAnimInfo</a>;
<a name="l00121"></a><a class="code" href="classOgre_1_1Entity.html#ac5cae2e18091b3e188eb3cd967cf7388">00121</a>         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* <a class="code" href="classOgre_1_1Entity.html#ac5cae2e18091b3e188eb3cd967cf7388" title="Vertex data details for software vertex anim of shared geometry.">mSoftwareVertexAnimVertexData</a>;
<a name="l00125"></a><a class="code" href="classOgre_1_1Entity.html#a3ba3f9becccbbbb88ffbdd2830041046">00125</a>         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* <a class="code" href="classOgre_1_1Entity.html#a3ba3f9becccbbbb88ffbdd2830041046" title="Vertex data details for hardware vertex anim of shared geometry.">mHardwareVertexAnimVertexData</a>;
<a name="l00127"></a><a class="code" href="classOgre_1_1Entity.html#a0bd12cb0730ed5c7a14ca6ee61adb323">00127</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#a0bd12cb0730ed5c7a14ca6ee61adb323" title="Have we applied any vertex animation to shared geometry?">mVertexAnimationAppliedThisFrame</a>;
<a name="l00129"></a><a class="code" href="classOgre_1_1Entity.html#a46758025f0a3ee1e16adcf788a487f40">00129</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#a46758025f0a3ee1e16adcf788a487f40" title="Have the temp buffers already had their geometry prepared for use in rendering shadow volumes...">mPreparedForShadowVolumes</a>;
<a name="l00130"></a>00130 
<a name="l00133"></a>00133         <span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* findBlendedVertexData(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* orig);
<a name="l00136"></a>00136         <a class="code" href="classOgre_1_1SubEntity.html" title="Utility class which defines the sub-parts of an Entity.">SubEntity</a>* findSubEntityForVertexData(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* orig);
<a name="l00137"></a>00137 
<a name="l00140"></a>00140         <span class="keywordtype">void</span> extractTempBufferInfo(<a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* sourceData, <a class="code" href="classOgre_1_1TempBlendedBufferInfo.html" title="Structure for recording the use of temporary blend buffers.">TempBlendedBufferInfo</a>* info);
<a name="l00142"></a>00142         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* cloneVertexDataRemoveBlendInfo(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* source);
<a name="l00144"></a>00144         <span class="keywordtype">void</span> prepareTempBlendBuffers(<span class="keywordtype">void</span>);
<a name="l00147"></a>00147         <span class="keywordtype">void</span> markBuffersUnusedForAnimation(<span class="keywordtype">void</span>);
<a name="l00151"></a>00151         <span class="keywordtype">void</span> restoreBuffersForUnusedAnimation(<span class="keywordtype">bool</span> hardwareAnimation);
<a name="l00152"></a>00152 
<a name="l00158"></a>00158         <span class="keywordtype">void</span> bindMissingHardwarePoseBuffers(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* srcData, 
<a name="l00159"></a>00159             <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* destData);
<a name="l00160"></a>00160             
<a name="l00164"></a>00164         <span class="keywordtype">void</span> initialisePoseVertexData(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* srcData, <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* destData, 
<a name="l00165"></a>00165             <span class="keywordtype">bool</span> animateNormals);
<a name="l00166"></a>00166 
<a name="l00170"></a>00170         <span class="keywordtype">void</span> finalisePoseNormals(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* srcData, <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* destData);
<a name="l00171"></a>00171 
<a name="l00173"></a><a class="code" href="classOgre_1_1Entity.html#ad0b28dae0755af4580b6fef9cfee09c5">00173</a>         <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> *<a class="code" href="classOgre_1_1Entity.html#ad0b28dae0755af4580b6fef9cfee09c5" title="Cached bone matrices, including any world transform.">mBoneWorldMatrices</a>;
<a name="l00175"></a><a class="code" href="classOgre_1_1Entity.html#ab9f9c2bae3cca46ce5bb38c49af2dac5">00175</a>         <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> *<a class="code" href="classOgre_1_1Entity.html#ab9f9c2bae3cca46ce5bb38c49af2dac5" title="Cached bone matrices in skeleton local space, might shares with other entity instances.">mBoneMatrices</a>;
<a name="l00176"></a><a class="code" href="classOgre_1_1Entity.html#af32437e0dd990a1f18524db2a8ba0ed4">00176</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <a class="code" href="classOgre_1_1Entity.html#af32437e0dd990a1f18524db2a8ba0ed4">mNumBoneMatrices</a>;
<a name="l00178"></a><a class="code" href="classOgre_1_1Entity.html#a6d86af633b0f5b7e6a56ae5b7ad73fb7">00178</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classOgre_1_1Entity.html#a6d86af633b0f5b7e6a56ae5b7ad73fb7" title="Records the last frame in which animation was updated.">mFrameAnimationLastUpdated</a>;
<a name="l00179"></a>00179 
<a name="l00181"></a>00181         <span class="keywordtype">void</span> updateAnimation(<span class="keywordtype">void</span>);
<a name="l00182"></a>00182 
<a name="l00186"></a><a class="code" href="classOgre_1_1Entity.html#a5519a0296deb06a911d2583f33fa4698">00186</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> *<a class="code" href="classOgre_1_1Entity.html#a5519a0296deb06a911d2583f33fa4698" title="Records the last frame in which the bones was updated It&#39;s a pointer because it can be shared between...">mFrameBonesLastUpdated</a>;
<a name="l00187"></a>00187 
<a name="l00193"></a><a class="code" href="classOgre_1_1Entity.html#ad3425f765090d6301c5e1de089c50b40">00193</a>         <a class="code" href="classOgre_1_1Entity.html#a732222e1a0aad66c21b8bb5f66b783a2">EntitySet</a>* <a class="code" href="classOgre_1_1Entity.html#ad3425f765090d6301c5e1de089c50b40" title="A set of all the entities which shares a single SkeletonInstance.">mSharedSkeletonEntities</a>;
<a name="l00194"></a>00194 
<a name="l00200"></a>00200         <span class="keywordtype">bool</span> cacheBoneMatrices(<span class="keywordtype">void</span>);
<a name="l00201"></a>00201 
<a name="l00203"></a><a class="code" href="classOgre_1_1Entity.html#a430f4ea48fb326c719d999ff0455381d">00203</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#a430f4ea48fb326c719d999ff0455381d" title="Flag determines whether or not to display skeleton.">mDisplaySkeleton</a>;
<a name="l00208"></a><a class="code" href="classOgre_1_1Entity.html#ad8f98286e8c18823fcd1329a8bce6483">00208</a>         <a class="code" href="classOgre_1_1Entity.html#ab5df0928988270830eb5d1e7dfcf0343">SchemeHardwareAnimMap</a> <a class="code" href="classOgre_1_1Entity.html#ad8f98286e8c18823fcd1329a8bce6483" title="Flag indicating whether hardware animation is supported by this entities materials data is saved per ...">mSchemeHardwareAnim</a>;
<a name="l00209"></a>00209 
<a name="l00211"></a><a class="code" href="classOgre_1_1Entity.html#a4e03df1ea47c84af8463742bba9dd1d7">00211</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#a4e03df1ea47c84af8463742bba9dd1d7" title="Current state of the hardware animation as represented by the entities parameters.">mCurrentHWAnimationState</a>;
<a name="l00212"></a>00212 
<a name="l00214"></a><a class="code" href="classOgre_1_1Entity.html#a6f05d449d210ae71943fc05713bb9fc3">00214</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1Entity.html#a6f05d449d210ae71943fc05713bb9fc3" title="Number of hardware poses supported by materials.">mHardwarePoseCount</a>;
<a name="l00216"></a><a class="code" href="classOgre_1_1Entity.html#a72572fcb7db729d8d500b36aea90146b">00216</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#a72572fcb7db729d8d500b36aea90146b" title="Flag indicating whether we have a vertex program in use on any of our subentities.">mVertexProgramInUse</a>;
<a name="l00218"></a><a class="code" href="classOgre_1_1Entity.html#ad6d932b783b839685b5c96f8ee7f972e">00218</a>         <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1Entity.html#ad6d932b783b839685b5c96f8ee7f972e" title="Counter indicating number of requests for software animation.">mSoftwareAnimationRequests</a>;
<a name="l00220"></a><a class="code" href="classOgre_1_1Entity.html#afb19400e77cdf8d7185b97636a932db8">00220</a>         <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1Entity.html#afb19400e77cdf8d7185b97636a932db8" title="Counter indicating number of requests for software blended normals.">mSoftwareAnimationNormalsRequests</a>;
<a name="l00222"></a><a class="code" href="classOgre_1_1Entity.html#aa41f08e5989c0971258b9ea3a41e4ab5">00222</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#aa41f08e5989c0971258b9ea3a41e4ab5" title="Flag indicating whether to skip automatic updating of the Skeleton&#39;s AnimationState.">mSkipAnimStateUpdates</a>;
<a name="l00224"></a><a class="code" href="classOgre_1_1Entity.html#a1c9570a8fee109da0545db45fce8e807">00224</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#a1c9570a8fee109da0545db45fce8e807" title="Flag indicating whether to update the main entity skeleton even when an LOD is displayed.">mAlwaysUpdateMainSkeleton</a>;
<a name="l00225"></a>00225 
<a name="l00226"></a>00226 
<a name="l00228"></a><a class="code" href="classOgre_1_1Entity.html#a537ad00ef6de8026f719b1e7eacaa967">00228</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1Entity.html#a537ad00ef6de8026f719b1e7eacaa967" title="The LOD number of the mesh to use, calculated by _notifyCurrentCamera.">mMeshLodIndex</a>;
<a name="l00229"></a>00229 
<a name="l00231"></a><a class="code" href="classOgre_1_1Entity.html#ab2ed671863919ebfafd45a0bcc89a582">00231</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1Entity.html#ab2ed671863919ebfafd45a0bcc89a582" title="LOD bias factor, transformed for optimisation when calculating adjusted lod value.">mMeshLodFactorTransformed</a>;
<a name="l00233"></a><a class="code" href="classOgre_1_1Entity.html#a6c5e42c9a3002c95428eefa12db6f725">00233</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1Entity.html#a6c5e42c9a3002c95428eefa12db6f725" title="Index of minimum detail LOD (NB higher index is lower detail)">mMinMeshLodIndex</a>;
<a name="l00235"></a><a class="code" href="classOgre_1_1Entity.html#ad1d282aa020c7151c6b22c4b7bd11b03">00235</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1Entity.html#ad1d282aa020c7151c6b22c4b7bd11b03" title="Index of maximum detail LOD (NB lower index is higher detail)">mMaxMeshLodIndex</a>;
<a name="l00236"></a>00236 
<a name="l00238"></a><a class="code" href="classOgre_1_1Entity.html#a8ace376fcfac7bcea9556cad5af31d62">00238</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1Entity.html#a8ace376fcfac7bcea9556cad5af31d62" title="LOD bias factor, not transformed.">mMaterialLodFactor</a>;
<a name="l00240"></a><a class="code" href="classOgre_1_1Entity.html#ad73a2ef9a361d670351e9c545f49f202">00240</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1Entity.html#ad73a2ef9a361d670351e9c545f49f202" title="LOD bias factor, transformed for optimisation when calculating adjusted lod value.">mMaterialLodFactorTransformed</a>;
<a name="l00242"></a><a class="code" href="classOgre_1_1Entity.html#ad87b226a94509299ae28aca21a5cd23b">00242</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1Entity.html#ad87b226a94509299ae28aca21a5cd23b" title="Index of minimum detail LOD (NB higher index is lower detail)">mMinMaterialLodIndex</a>;
<a name="l00244"></a><a class="code" href="classOgre_1_1Entity.html#a18fda237648767210ac8d8150f47a012">00244</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1Entity.html#a18fda237648767210ac8d8150f47a012" title="Index of maximum detail LOD (NB lower index is higher detail)">mMaxMaterialLodIndex</a>;
<a name="l00245"></a>00245 
<a name="l00251"></a><a class="code" href="classOgre_1_1Entity.html#aa22bc3ba9fafa755be2121fe5d956dc4">00251</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1vector.html">vector&lt;Entity*&gt;::type</a> <a class="code" href="classOgre_1_1Entity.html#aa22bc3ba9fafa755be2121fe5d956dc4" title="List of LOD Entity instances (for manual LODs).">LODEntityList</a>;
<a name="l00252"></a><a class="code" href="classOgre_1_1Entity.html#ad1c62a082a224da4ef9dd61500af0cbc">00252</a>         <a class="code" href="classOgre_1_1Entity.html#aa22bc3ba9fafa755be2121fe5d956dc4" title="List of LOD Entity instances (for manual LODs).">LODEntityList</a> <a class="code" href="classOgre_1_1Entity.html#ad1c62a082a224da4ef9dd61500af0cbc">mLodEntityList</a>;
<a name="l00253"></a>00253 
<a name="l00256"></a><a class="code" href="classOgre_1_1Entity.html#ae3ab1dc4ed3adb6e883537ddef580c03">00256</a>         <a class="code" href="classOgre_1_1SkeletonInstance.html" title="A SkeletonInstance is a single instance of a Skeleton used by a world object.">SkeletonInstance</a>* <a class="code" href="classOgre_1_1Entity.html#ae3ab1dc4ed3adb6e883537ddef580c03" title="This Entity&#39;s personal copy of the skeleton, if skeletally animated.">mSkeletonInstance</a>;
<a name="l00257"></a>00257 
<a name="l00259"></a><a class="code" href="classOgre_1_1Entity.html#a9d37a344485174f9302a2482ef086bb0">00259</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#a9d37a344485174f9302a2482ef086bb0" title="Has this entity been initialised yet?">mInitialised</a>;
<a name="l00260"></a>00260 
<a name="l00262"></a><a class="code" href="classOgre_1_1Entity.html#ace6391afd6a4b3c63d5f60b77493a903">00262</a>         <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a> <a class="code" href="classOgre_1_1Entity.html#ace6391afd6a4b3c63d5f60b77493a903" title="Last parent transform.">mLastParentXform</a>;
<a name="l00263"></a>00263 
<a name="l00265"></a><a class="code" href="classOgre_1_1Entity.html#ab54b39b13fe5b50fc3dd5feb564a4202">00265</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1Entity.html#ab54b39b13fe5b50fc3dd5feb564a4202" title="Mesh state count, used to detect differences.">mMeshStateCount</a>;
<a name="l00266"></a>00266 
<a name="l00268"></a>00268         <span class="keywordtype">void</span> buildSubEntityList(<a class="code" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a>&amp; mesh, <a class="code" href="classOgre_1_1Entity.html#a0918acbbcfa6325d2de7572aa462386b" title="List of SubEntities (point to SubMeshes).">SubEntityList</a>* sublist);
<a name="l00269"></a>00269 
<a name="l00271"></a>00271         <span class="keywordtype">void</span> attachObjectImpl(<a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> *pMovable, <a class="code" href="classOgre_1_1TagPoint.html" title="A tagged point on a skeleton, which can be used to attach entities to on specific other entities...">TagPoint</a> *pAttachingPoint);
<a name="l00272"></a>00272 
<a name="l00274"></a>00274         <span class="keywordtype">void</span> detachObjectImpl(<a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a>* pObject);
<a name="l00275"></a>00275 
<a name="l00277"></a>00277         <span class="keywordtype">void</span> detachAllObjectsImpl(<span class="keywordtype">void</span>);
<a name="l00278"></a>00278 
<a name="l00280"></a>00280         <span class="keywordtype">void</span> reevaluateVertexProcessing(<span class="keywordtype">void</span>);
<a name="l00281"></a>00281 
<a name="l00288"></a>00288         <span class="keywordtype">bool</span> calcVertexProcessing(<span class="keywordtype">void</span>);
<a name="l00289"></a>00289     
<a name="l00291"></a>00291         <span class="keywordtype">void</span> applyVertexAnimation(<span class="keywordtype">bool</span> hardwareAnimation, <span class="keywordtype">bool</span> stencilShadows);
<a name="l00293"></a>00293         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> initHardwareAnimationElements(<a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* vdata,
<a name="l00294"></a>00294             <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> numberOfElements, <span class="keywordtype">bool</span> animateNormals);
<a name="l00296"></a>00296         <span class="keywordtype">bool</span> tempVertexAnimBuffersBound(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00298"></a>00298         <span class="keywordtype">bool</span> tempSkelAnimBuffersBound(<span class="keywordtype">bool</span> requestNormals) <span class="keyword">const</span>;
<a name="l00299"></a>00299 
<a name="l00300"></a>00300     <span class="keyword">public</span>:
<a name="l00302"></a><a class="code" href="classOgre_1_1Entity.html#a7d70e264e0a16efa42ab8eefeab292c9">00302</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, MovableObject*&gt;::type</a> <a class="code" href="classOgre_1_1Entity.html#a7d70e264e0a16efa42ab8eefeab292c9" title="Contains the child objects (attached to bones) indexed by name.">ChildObjectList</a>;
<a name="l00303"></a>00303     <span class="keyword">protected</span>:
<a name="l00304"></a><a class="code" href="classOgre_1_1Entity.html#adb12cb08c315b91d4afd3fd6e8bdf42a">00304</a>         <a class="code" href="classOgre_1_1Entity.html#a7d70e264e0a16efa42ab8eefeab292c9" title="Contains the child objects (attached to bones) indexed by name.">ChildObjectList</a> <a class="code" href="classOgre_1_1Entity.html#adb12cb08c315b91d4afd3fd6e8bdf42a">mChildObjectList</a>;
<a name="l00305"></a>00305 
<a name="l00306"></a>00306 
<a name="l00308"></a><a class="code" href="classOgre_1_1Entity.html#a7166859b52d853eb7ae6dc345480ab85">00308</a>         <span class="keyword">mutable</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a> <a class="code" href="classOgre_1_1Entity.html#a7166859b52d853eb7ae6dc345480ab85" title="Bounding box that &#39;contains&#39; all the mesh of each child entity.">mFullBoundingBox</a>;
<a name="l00309"></a>00309 
<a name="l00310"></a><a class="code" href="classOgre_1_1Entity.html#a5ff5ec4158aa0f1aac774de73e8e2915">00310</a>         <a class="code" href="classOgre_1_1ShadowCaster.html#ad84ea1b2728ced5136add26c91c39a27">ShadowRenderableList</a> <a class="code" href="classOgre_1_1Entity.html#a5ff5ec4158aa0f1aac774de73e8e2915">mShadowRenderables</a>;
<a name="l00311"></a>00311 
<a name="l00313"></a><a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html">00313</a>         <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html" title="Nested class to allow entity shadows.">EntityShadowRenderable</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1ShadowRenderable.html" title="Class which represents the renderable aspects of a set of shadow volume faces.">ShadowRenderable</a>
<a name="l00314"></a>00314         {
<a name="l00315"></a>00315         <span class="keyword">protected</span>:
<a name="l00316"></a><a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#adf2b053c720e18ffe6031b2a578924d3">00316</a>             <a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a>* <a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#adf2b053c720e18ffe6031b2a578924d3">mParent</a>;
<a name="l00318"></a><a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#ad44e4244aa049fee5025a91bd8ecd7a7">00318</a>             <a class="code" href="classOgre_1_1HardwareVertexBufferSharedPtr.html" title="Shared pointer implementation used to share index buffers.">HardwareVertexBufferSharedPtr</a> <a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#ad44e4244aa049fee5025a91bd8ecd7a7" title="Shared link to position buffer.">mPositionBuffer</a>;
<a name="l00320"></a><a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#a6b765dd0d6cf0ed236276a2287d128ec">00320</a>             <a class="code" href="classOgre_1_1HardwareVertexBufferSharedPtr.html" title="Shared pointer implementation used to share index buffers.">HardwareVertexBufferSharedPtr</a> <a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#a6b765dd0d6cf0ed236276a2287d128ec" title="Shared link to w-coord buffer (optional)">mWBuffer</a>;
<a name="l00322"></a><a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#ac2194d28c47d040591baee77ba970132">00322</a>             <span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* <a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#ac2194d28c47d040591baee77ba970132" title="Link to current vertex data used to bind (maybe changes)">mCurrentVertexData</a>;
<a name="l00324"></a><a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#a84d7d5d1275d04ecae95482616178642">00324</a>             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#a84d7d5d1275d04ecae95482616178642" title="Original position buffer source binding.">mOriginalPosBufferBinding</a>;
<a name="l00326"></a><a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#ae5b2511444611ff54ca355128cea8e57">00326</a>             <a class="code" href="classOgre_1_1SubEntity.html" title="Utility class which defines the sub-parts of an Entity.">SubEntity</a>* <a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#ae5b2511444611ff54ca355128cea8e57" title="Link to SubEntity, only present if SubEntity has it&#39;s own geometry.">mSubEntity</a>;
<a name="l00327"></a>00327 
<a name="l00328"></a>00328 
<a name="l00329"></a>00329         <span class="keyword">public</span>:
<a name="l00330"></a>00330             <a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html" title="Nested class to allow entity shadows.">EntityShadowRenderable</a>(<a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a>* parent,
<a name="l00331"></a>00331                 <a class="code" href="classOgre_1_1HardwareIndexBufferSharedPtr.html" title="Shared pointer implementation used to share index buffers.">HardwareIndexBufferSharedPtr</a>* indexBuffer, <span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* vertexData,
<a name="l00332"></a>00332                 <span class="keywordtype">bool</span> createSeparateLightCap, <a class="code" href="classOgre_1_1SubEntity.html" title="Utility class which defines the sub-parts of an Entity.">SubEntity</a>* subent, <span class="keywordtype">bool</span> isLightCap = <span class="keyword">false</span>);
<a name="l00333"></a>00333             ~<a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html" title="Nested class to allow entity shadows.">EntityShadowRenderable</a>();
<a name="l00334"></a>00334             
<a name="l00336"></a>00336             <span class="keywordtype">void</span> _createSeparateLightCap();
<a name="l00338"></a>00338             <span class="keywordtype">void</span> getWorldTransforms(<a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>* xform) <span class="keyword">const</span>;
<a name="l00339"></a><a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#a5e3553a9870844d31010e56f7ab68fe7">00339</a>             <a class="code" href="classOgre_1_1HardwareVertexBufferSharedPtr.html" title="Shared pointer implementation used to share index buffers.">HardwareVertexBufferSharedPtr</a> <a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#a5e3553a9870844d31010e56f7ab68fe7">getPositionBuffer</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mPositionBuffer; }
<a name="l00340"></a><a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#a6d2259218ef5f9859ea775afb31c08c8">00340</a>             <a class="code" href="classOgre_1_1HardwareVertexBufferSharedPtr.html" title="Shared pointer implementation used to share index buffers.">HardwareVertexBufferSharedPtr</a> <a class="code" href="classOgre_1_1Entity_1_1EntityShadowRenderable.html#a6d2259218ef5f9859ea775afb31c08c8">getWBuffer</a>(<span class="keywordtype">void</span>) { <span class="keywordflow">return</span> mWBuffer; }
<a name="l00342"></a>00342             <span class="keywordtype">void</span> rebindPositionBuffer(<span class="keyword">const</span> <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* vertexData, <span class="keywordtype">bool</span> force);
<a name="l00344"></a>00344             <span class="keywordtype">bool</span> isVisible(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00346"></a>00346             <span class="keyword">virtual</span> <span class="keywordtype">void</span> rebindIndexBuffer(<span class="keyword">const</span> <a class="code" href="classOgre_1_1HardwareIndexBufferSharedPtr.html" title="Shared pointer implementation used to share index buffers.">HardwareIndexBufferSharedPtr</a>&amp; indexBuffer);
<a name="l00347"></a>00347         };
<a name="l00348"></a>00348     <span class="keyword">public</span>:
<a name="l00351"></a>00351         ~<a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a>();
<a name="l00352"></a>00352 
<a name="l00355"></a>00355         <span class="keyword">const</span> <a class="code" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a>&amp; getMesh(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00356"></a>00356 
<a name="l00359"></a>00359         <a class="code" href="classOgre_1_1SubEntity.html" title="Utility class which defines the sub-parts of an Entity.">SubEntity</a>* getSubEntity(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> index) <span class="keyword">const</span>;
<a name="l00360"></a>00360 
<a name="l00364"></a>00364         <a class="code" href="classOgre_1_1SubEntity.html" title="Utility class which defines the sub-parts of an Entity.">SubEntity</a>* getSubEntity( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name ) <span class="keyword">const</span>;
<a name="l00365"></a>00365 
<a name="l00368"></a>00368         <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getNumSubEntities(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00369"></a>00369 
<a name="l00379"></a>00379         <a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a>* clone( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; newName ) <span class="keyword">const</span>;
<a name="l00380"></a>00380 
<a name="l00389"></a>00389         <span class="keywordtype">void</span> setMaterialName( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName = <a class="code" href="classOgre_1_1ResourceGroupManager.html#a70da3137e703c147b98fbfbbebfbf023" title="Special resource group name which causes resource group to be automatically determined based on searc...">ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME</a> );
<a name="l00390"></a>00390 
<a name="l00391"></a>00391         
<a name="l00400"></a>00400         <span class="keywordtype">void</span> setMaterial(<span class="keyword">const</span> <a class="code" href="classOgre_1_1MaterialPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MaterialPtr.">MaterialPtr</a>&amp; material);
<a name="l00401"></a>00401 
<a name="l00404"></a>00404         <span class="keywordtype">void</span> _notifyCurrentCamera(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam);
<a name="l00405"></a>00405 
<a name="l00407"></a>00407         <span class="keywordtype">void</span> setRenderQueueGroup(<a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> queueID);
<a name="l00408"></a>00408 
<a name="l00410"></a>00410         <span class="keywordtype">void</span> setRenderQueueGroupAndPriority(<a class="code" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> queueID, <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> priority);
<a name="l00411"></a>00411 
<a name="l00414"></a>00414         <span class="keyword">const</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>&amp; getBoundingBox(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00415"></a>00415 
<a name="l00417"></a>00417         <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a> getChildObjectsBoundingBox(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00418"></a>00418 
<a name="l00421"></a>00421         <span class="keywordtype">void</span> _updateRenderQueue(<a class="code" href="classOgre_1_1RenderQueue.html" title="Class to manage the scene object rendering queue.">RenderQueue</a>* queue);
<a name="l00422"></a>00422 
<a name="l00424"></a>00424         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getMovableType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00425"></a>00425 
<a name="l00432"></a>00432         <a class="code" href="classOgre_1_1AnimationState.html" title="Represents the state of an animation and the weight of its influence.">AnimationState</a>* getAnimationState(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name) <span class="keyword">const</span>;
<a name="l00434"></a>00434         <span class="keywordtype">bool</span> hasAnimationState(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name) <span class="keyword">const</span>;
<a name="l00444"></a>00444         <a class="code" href="classOgre_1_1AnimationStateSet.html" title="Class encapsulating a set of AnimationState objects.">AnimationStateSet</a>* getAllAnimationStates(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00445"></a>00445 
<a name="l00448"></a>00448         <span class="keywordtype">void</span> setDisplaySkeleton(<span class="keywordtype">bool</span> display);
<a name="l00449"></a>00449 
<a name="l00452"></a>00452         <span class="keywordtype">bool</span> getDisplaySkeleton(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00453"></a>00453 
<a name="l00454"></a>00454 
<a name="l00460"></a>00460         <a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a>* getManualLodLevel(<span class="keywordtype">size_t</span> index) <span class="keyword">const</span>;
<a name="l00461"></a>00461 
<a name="l00467"></a>00467         <span class="keywordtype">size_t</span> getNumManualLodLevels(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00468"></a>00468 
<a name="l00471"></a><a class="code" href="classOgre_1_1Entity.html#a9df98da871235bd055873e18a518b0f1">00471</a>         <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="code" href="classOgre_1_1Entity.html#a9df98da871235bd055873e18a518b0f1" title="Returns the current LOD used to render.">getCurrentLodIndex</a>() { <span class="keywordflow">return</span> mMeshLodIndex; }
<a name="l00472"></a>00472 
<a name="l00499"></a>00499         <span class="keywordtype">void</span> setMeshLodBias(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> factor, <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> maxDetailIndex = 0, <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> minDetailIndex = 99);
<a name="l00500"></a>00500 
<a name="l00527"></a>00527         <span class="keywordtype">void</span> setMaterialLodBias(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> factor, <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> maxDetailIndex = 0, <a class="code" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> minDetailIndex = 99);
<a name="l00528"></a>00528 
<a name="l00532"></a>00532         <span class="keywordtype">void</span> setPolygonModeOverrideable(<span class="keywordtype">bool</span> PolygonModeOverrideable);
<a name="l00547"></a>00547         <a class="code" href="classOgre_1_1TagPoint.html" title="A tagged point on a skeleton, which can be used to attach entities to on specific other entities...">TagPoint</a>* attachObjectToBone(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;boneName,
<a name="l00548"></a>00548             <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a> *pMovable,
<a name="l00549"></a>00549             <span class="keyword">const</span> <a class="code" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> &amp;offsetOrientation = <a class="code" href="classOgre_1_1Quaternion.html#a441b8d52549e1dedec27420325a313ef">Quaternion::IDENTITY</a>,
<a name="l00550"></a>00550             <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> &amp;offsetPosition = <a class="code" href="classOgre_1_1Vector3.html#a5da94afc089ec07612b4a2615bb6b86f">Vector3::ZERO</a>);
<a name="l00551"></a>00551 
<a name="l00556"></a>00556         <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a>* detachObjectFromBone(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;movableName);
<a name="l00557"></a>00557 
<a name="l00564"></a>00564         <span class="keywordtype">void</span> detachObjectFromBone(<a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a>* obj);
<a name="l00565"></a>00565 
<a name="l00567"></a>00567         <span class="keywordtype">void</span> detachAllObjectsFromBone(<span class="keywordtype">void</span>);
<a name="l00568"></a>00568 
<a name="l00569"></a><a class="code" href="classOgre_1_1Entity.html#a400eb4dc70adbaaa14ec904bec80ba86">00569</a>         <span class="keyword">typedef</span> <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">MapIterator&lt;ChildObjectList&gt;</a> <a class="code" href="classOgre_1_1Entity.html#a400eb4dc70adbaaa14ec904bec80ba86">ChildObjectListIterator</a>;
<a name="l00571"></a>00571         <a class="code" href="classOgre_1_1MapIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying key-value container.">ChildObjectListIterator</a> getAttachedObjectIterator(<span class="keywordtype">void</span>);
<a name="l00573"></a>00573         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getBoundingRadius(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00574"></a>00574 
<a name="l00576"></a>00576         <span class="keyword">const</span> <a class="code" href="classOgre_1_1AxisAlignedBox.html" title="A 3D box aligned with the x/y/z axes.">AxisAlignedBox</a>&amp; getWorldBoundingBox(<span class="keywordtype">bool</span> derive = <span class="keyword">false</span>) <span class="keyword">const</span>;
<a name="l00578"></a>00578         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Sphere.html" title="A sphere primitive, mostly used for bounds checking.">Sphere</a>&amp; getWorldBoundingSphere(<span class="keywordtype">bool</span> derive = <span class="keyword">false</span>) <span class="keyword">const</span>;
<a name="l00579"></a>00579 
<a name="l00581"></a>00581         <a class="code" href="classOgre_1_1EdgeData.html" title="This class contains the information required to describe the edge connectivity of a given set of vert...">EdgeData</a>* getEdgeList(<span class="keywordtype">void</span>);
<a name="l00583"></a>00583         <span class="keywordtype">bool</span> hasEdgeList(<span class="keywordtype">void</span>);
<a name="l00585"></a>00585         <a class="code" href="classOgre_1_1VectorIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying container.">ShadowRenderableListIterator</a> getShadowVolumeRenderableIterator(
<a name="l00586"></a>00586             <a class="code" href="group__General.html#ga79dcd426d291c31072c1ad6f183715d6" title="An enumeration of broad shadow techniques.">ShadowTechnique</a> shadowTechnique, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Light.html" title="Representation of a dynamic light source in the scene.">Light</a>* light,
<a name="l00587"></a>00587             <a class="code" href="classOgre_1_1HardwareIndexBufferSharedPtr.html" title="Shared pointer implementation used to share index buffers.">HardwareIndexBufferSharedPtr</a>* indexBuffer,
<a name="l00588"></a>00588             <span class="keywordtype">bool</span> extrudeVertices, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> extrusionDistance, <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> flags = 0 );
<a name="l00589"></a>00589 
<a name="l00591"></a><a class="code" href="classOgre_1_1Entity.html#acd33143466b60036804bf6c7e892afc9">00591</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1Matrix4.html" title="Class encapsulating a standard 4x4 homogeneous matrix.">Matrix4</a>* <a class="code" href="classOgre_1_1Entity.html#acd33143466b60036804bf6c7e892afc9" title="Internal method for retrieving bone matrix information.">_getBoneMatrices</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mBoneMatrices;}
<a name="l00593"></a><a class="code" href="classOgre_1_1Entity.html#a29c422f41b34f3ebb00e03cacb3a6885">00593</a>         <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <a class="code" href="classOgre_1_1Entity.html#a29c422f41b34f3ebb00e03cacb3a6885" title="Internal method for retrieving bone matrix information.">_getNumBoneMatrices</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mNumBoneMatrices; }
<a name="l00595"></a><a class="code" href="classOgre_1_1Entity.html#a0c748a6ced3cf1bfa0df0f418d44d553">00595</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#a0c748a6ced3cf1bfa0df0f418d44d553" title="Returns whether or not this entity is skeletally animated.">hasSkeleton</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mSkeletonInstance != 0; }
<a name="l00597"></a><a class="code" href="classOgre_1_1Entity.html#ad5d856758e4d7690a73a5079a9a3c043">00597</a>         <a class="code" href="classOgre_1_1SkeletonInstance.html" title="A SkeletonInstance is a single instance of a Skeleton used by a world object.">SkeletonInstance</a>* <a class="code" href="classOgre_1_1Entity.html#ad5d856758e4d7690a73a5079a9a3c043" title="Get this Entity&#39;s personal skeleton instance.">getSkeleton</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mSkeletonInstance; }
<a name="l00613"></a>00613         <span class="keywordtype">bool</span> isHardwareAnimationEnabled(<span class="keywordtype">void</span>);
<a name="l00614"></a>00614 
<a name="l00616"></a>00616         <span class="keywordtype">void</span> _notifyAttached(<a class="code" href="classOgre_1_1Node.html" title="Class representing a general-purpose node an articulated scene graph.">Node</a>* parent, <span class="keywordtype">bool</span> isTagPoint = <span class="keyword">false</span>);
<a name="l00624"></a><a class="code" href="classOgre_1_1Entity.html#a900ff2a18c8c6ebf1bf5751e18dfdad5">00624</a>         <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1Entity.html#a900ff2a18c8c6ebf1bf5751e18dfdad5" title="Returns the number of requests that have been made for software animation.">getSoftwareAnimationRequests</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mSoftwareAnimationRequests; }
<a name="l00636"></a><a class="code" href="classOgre_1_1Entity.html#a3dd84e0c897035b1f9cb688250af8e09">00636</a>         <span class="keywordtype">int</span> <a class="code" href="classOgre_1_1Entity.html#a3dd84e0c897035b1f9cb688250af8e09" title="Returns the number of requests that have been made for software animation of normals.">getSoftwareAnimationNormalsRequests</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mSoftwareAnimationNormalsRequests; }
<a name="l00652"></a>00652         <span class="keywordtype">void</span> addSoftwareAnimationRequest(<span class="keywordtype">bool</span> normalsAlso);
<a name="l00661"></a>00661         <span class="keywordtype">void</span> removeSoftwareAnimationRequest(<span class="keywordtype">bool</span> normalsAlso);
<a name="l00662"></a>00662 
<a name="l00667"></a>00667         <span class="keywordtype">void</span> shareSkeletonInstanceWith(<a class="code" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a>* entity);
<a name="l00668"></a>00668 
<a name="l00671"></a>00671         <span class="keywordtype">bool</span> hasVertexAnimation(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00672"></a>00672 
<a name="l00673"></a>00673 
<a name="l00676"></a>00676         <span class="keywordtype">void</span> stopSharingSkeletonInstance();
<a name="l00677"></a>00677 
<a name="l00678"></a>00678 
<a name="l00682"></a><a class="code" href="classOgre_1_1Entity.html#a15d03448d5f94cb547ef0212aaaaa680">00682</a>         <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#a15d03448d5f94cb547ef0212aaaaa680" title="Returns whether this entity shares it&#39;s SkeltonInstance with other entity instances.">sharesSkeletonInstance</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mSharedSkeletonEntities != NULL; }
<a name="l00683"></a>00683 
<a name="l00688"></a><a class="code" href="classOgre_1_1Entity.html#a90e99a701e73958ddd854d71e3c86d9a">00688</a>         <span class="keyword">inline</span> <span class="keyword">const</span> <a class="code" href="classOgre_1_1Entity.html#a732222e1a0aad66c21b8bb5f66b783a2">EntitySet</a>* <a class="code" href="classOgre_1_1Entity.html#a90e99a701e73958ddd854d71e3c86d9a" title="Returns a pointer to the set of entities which share a SkeletonInstance.">getSkeletonInstanceSharingSet</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mSharedSkeletonEntities; }
<a name="l00689"></a>00689 
<a name="l00700"></a>00700         <span class="keywordtype">void</span> refreshAvailableAnimationState(<span class="keywordtype">void</span>);
<a name="l00701"></a>00701 
<a name="l00709"></a>00709         <span class="keywordtype">void</span> _updateAnimation(<span class="keywordtype">void</span>);
<a name="l00710"></a>00710 
<a name="l00716"></a>00716         <span class="keywordtype">bool</span> _isAnimated(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00717"></a>00717 
<a name="l00720"></a>00720         <span class="keywordtype">bool</span> _isSkeletonAnimated(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00721"></a>00721 
<a name="l00731"></a>00731         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* _getSkelAnimVertexData(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00740"></a>00740         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* _getSoftwareVertexAnimVertexData(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00745"></a>00745         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* _getHardwareVertexAnimVertexData(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00749"></a>00749         <a class="code" href="classOgre_1_1TempBlendedBufferInfo.html" title="Structure for recording the use of temporary blend buffers.">TempBlendedBufferInfo</a>* _getSkelAnimTempBufferInfo(<span class="keywordtype">void</span>);
<a name="l00753"></a>00753         <a class="code" href="classOgre_1_1TempBlendedBufferInfo.html" title="Structure for recording the use of temporary blend buffers.">TempBlendedBufferInfo</a>* _getVertexAnimTempBufferInfo(<span class="keywordtype">void</span>);
<a name="l00755"></a>00755         <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> getTypeFlags(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00757"></a>00757         <a class="code" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>* getVertexDataForBinding(<span class="keywordtype">void</span>);
<a name="l00758"></a>00758 
<a name="l00760"></a><a class="code" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014">00760</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014" title="Identify which vertex data we should be sending to the renderer.">VertexDataBindChoice</a>
<a name="l00761"></a>00761         {
<a name="l00762"></a><a class="code" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014ab11174dbf84a2c1dd06f418662e97acc">00762</a>             <a class="code" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014ab11174dbf84a2c1dd06f418662e97acc">BIND_ORIGINAL</a>,
<a name="l00763"></a><a class="code" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014ae7af4a831d02b636ad9184ce8cf952bb">00763</a>             <a class="code" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014ae7af4a831d02b636ad9184ce8cf952bb">BIND_SOFTWARE_SKELETAL</a>,
<a name="l00764"></a><a class="code" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014a88cb6b9b2241b9ec83389b637d59a49f">00764</a>             <a class="code" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014a88cb6b9b2241b9ec83389b637d59a49f">BIND_SOFTWARE_MORPH</a>,
<a name="l00765"></a><a class="code" href="classOgre_1_1Entity.html#a3155eeab3bceea736771f49e4becb014a4397f702e25c1da682f76e7846182c27">00765</a>             BIND_HARDWARE_MORPH
<a name="l00766"></a>00766         };
<a name="l00768"></a>00768         VertexDataBindChoice chooseVertexDataForBinding(<span class="keywordtype">bool</span> hasVertexAnim);
<a name="l00769"></a>00769 
<a name="l00771"></a><a class="code" href="classOgre_1_1Entity.html#a530fa6cc57e3ca417c84dc2ae9eae384">00771</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#a530fa6cc57e3ca417c84dc2ae9eae384" title="Are buffers already marked as vertex animated?">_getBuffersMarkedForAnimation</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mVertexAnimationAppliedThisFrame; }
<a name="l00774"></a>00774         <span class="keywordtype">void</span> _markBuffersUsedForAnimation(<span class="keywordtype">void</span>);
<a name="l00775"></a>00775 
<a name="l00784"></a><a class="code" href="classOgre_1_1Entity.html#a080b0c12616c24fff379fd8a8b8588b0">00784</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#a080b0c12616c24fff379fd8a8b8588b0" title="Has this Entity been initialised yet?">isInitialised</a>(<span class="keywordtype">void</span>)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mInitialised; }
<a name="l00785"></a>00785 
<a name="l00796"></a>00796         <span class="keywordtype">void</span> _initialise(<span class="keywordtype">bool</span> forceReinitialise = <span class="keyword">false</span>);
<a name="l00798"></a>00798         <span class="keywordtype">void</span> _deinitialise(<span class="keywordtype">void</span>);
<a name="l00799"></a>00799 
<a name="l00803"></a>00803         <span class="keywordtype">void</span> backgroundLoadingComplete(<a class="code" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a>* res);
<a name="l00804"></a>00804 
<a name="l00806"></a>00806         <span class="keywordtype">void</span> visitRenderables(<a class="code" href="classOgre_1_1Renderable_1_1Visitor.html" title="Visitor object that can be used to iterate over a collection of Renderable instances abstractly...">Renderable::Visitor</a>* visitor, 
<a name="l00807"></a>00807             <span class="keywordtype">bool</span> debugRenderables = <span class="keyword">false</span>);
<a name="l00808"></a>00808 
<a name="l00810"></a>00810         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> _getMeshLodFactorTransformed() <span class="keyword">const</span>;
<a name="l00811"></a>00811         
<a name="l00815"></a><a class="code" href="classOgre_1_1Entity.html#a0dc8a3c62067d0b8c87a0c47b0509ac9">00815</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1Entity.html#a0dc8a3c62067d0b8c87a0c47b0509ac9" title="Entity&#39;s skeleton&#39;s AnimationState will not be automatically updated when set to true.">setSkipAnimationStateUpdate</a>(<span class="keywordtype">bool</span> skip) {
<a name="l00816"></a>00816             mSkipAnimStateUpdates = skip;
<a name="l00817"></a>00817         }
<a name="l00818"></a>00818         
<a name="l00822"></a><a class="code" href="classOgre_1_1Entity.html#a631f3d04035a5fcd61855ea80f88bae1">00822</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#a631f3d04035a5fcd61855ea80f88bae1" title="Entity&#39;s skeleton&#39;s AnimationState will not be automatically updated when set to true.">getSkipAnimationStateUpdate</a>()<span class="keyword"> const </span>{
<a name="l00823"></a>00823             <span class="keywordflow">return</span> mSkipAnimStateUpdates;
<a name="l00824"></a>00824         }
<a name="l00825"></a>00825 
<a name="l00826"></a>00826 
<a name="l00831"></a><a class="code" href="classOgre_1_1Entity.html#adc5139cf503eca69759f84a04285c996">00831</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1Entity.html#adc5139cf503eca69759f84a04285c996" title="The skeleton of the main entity will be updated even if the an LOD entity is being displayed...">setAlwaysUpdateMainSkeleton</a>(<span class="keywordtype">bool</span> update) {
<a name="l00832"></a>00832             mAlwaysUpdateMainSkeleton = update;
<a name="l00833"></a>00833         }
<a name="l00834"></a>00834 
<a name="l00839"></a><a class="code" href="classOgre_1_1Entity.html#a8d81333411db3484d330a3d9dda2900f">00839</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1Entity.html#a8d81333411db3484d330a3d9dda2900f" title="The skeleton of the main entity will be updated even if the an LOD entity is being displayed...">getAlwaysUpdateMainSkeleton</a>()<span class="keyword"> const </span>{
<a name="l00840"></a>00840             <span class="keywordflow">return</span> mAlwaysUpdateMainSkeleton;
<a name="l00841"></a>00841         }
<a name="l00842"></a>00842 
<a name="l00843"></a>00843         
<a name="l00844"></a>00844     };
<a name="l00845"></a>00845 
<a name="l00847"></a><a class="code" href="classOgre_1_1EntityFactory.html">00847</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1EntityFactory.html" title="Factory object for creating Entity instances.">EntityFactory</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1MovableObjectFactory.html" title="Interface definition for a factory class which produces a certain kind of MovableObject, and can be registered with Root in order to allow all clients to produce new instances of this object, integrated with the standard Ogre processing.">MovableObjectFactory</a>
<a name="l00848"></a>00848     {
<a name="l00849"></a>00849     <span class="keyword">protected</span>:
<a name="l00850"></a>00850         <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a>* createInstanceImpl( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a>* params);
<a name="l00851"></a>00851     <span class="keyword">public</span>:
<a name="l00852"></a><a class="code" href="classOgre_1_1EntityFactory.html#a400c13551743727d539d33e1899e2a94">00852</a>         <a class="code" href="classOgre_1_1EntityFactory.html#a400c13551743727d539d33e1899e2a94">EntityFactory</a>() {}
<a name="l00853"></a><a class="code" href="classOgre_1_1EntityFactory.html#a2b09cf40eed302e501408e1009517020">00853</a>         <a class="code" href="classOgre_1_1EntityFactory.html#a2b09cf40eed302e501408e1009517020">~EntityFactory</a>() {}
<a name="l00854"></a>00854 
<a name="l00855"></a><a class="code" href="classOgre_1_1EntityFactory.html#a50de559aa1292e7abf91a140635a88da">00855</a>         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1EntityFactory.html#a50de559aa1292e7abf91a140635a88da">FACTORY_TYPE_NAME</a>;
<a name="l00856"></a>00856 
<a name="l00857"></a>00857         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getType(<span class="keywordtype">void</span>) <span class="keyword">const</span>;
<a name="l00858"></a>00858         <span class="keywordtype">void</span> destroyInstance( <a class="code" href="classOgre_1_1MovableObject.html" title="Abstract class defining a movable object in a scene.">MovableObject</a>* obj);
<a name="l00859"></a>00859 
<a name="l00860"></a>00860     };
<a name="l00864"></a>00864 } <span class="comment">// namespace</span>
<a name="l00865"></a>00865 
<a name="l00866"></a>00866 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
